io.vertx.reactivex.sqlclient

## Class RowStream<T>

- java.lang.Object
- - io.vertx.reactivex.sqlclient.RowStream<T>

- All Implemented Interfaces:
    ReadStream<T>, StreamBase

      public class RowStream<T>
      extends Object
      implements ReadStream<T>

  A row oriented stream.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RowStream>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowStream(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`
    `RowStream(RowStream delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the stream and release the resources.
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Close the stream and release the resources.
    `RowStream<T>` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `boolean` | `equals(Object o)`
    `RowStream<T>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `RowStream<T>` | `fetch(long l)` Fetch the specified `amount` of elements.
    `RowStream` | `getDelegate()`
    `RowStream<T>` | `handler(Handler<T> handler)` Set a data handler.
    `int` | `hashCode()`
    `static <T> RowStream<T>` | `newInstance(RowStream arg)`
    `static <T> RowStream<T>` | `newInstance(RowStream arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `RowStream<T>` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<T>` | `pipe()` Pause this stream and return a to transfer the elements of this stream to a destination .
    `void` | `pipeTo(WriteStream<T> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `void` | `pipeTo(WriteStream<T> dst, Handler<AsyncResult<Void>> handler)` Pipe this `ReadStream` to the `WriteStream`.
    `RowStream<T>` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `Completable` | `rxClose()` Close the stream and release the resources.
    `Completable` | `rxPipeTo(WriteStream<T> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `Flowable<T>` | `toFlowable()`
    `Observable<T>` | `toObservable()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RowStream> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### RowStream

          public RowStream(RowStream delegate)

    - #### RowStream

          public RowStream(Object delegate,
                           io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RowStream getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<T>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<T> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<T>`

    - #### toFlowable

          public Flowable<T> toFlowable()

      Specified by:
        `toFlowable` in interface `ReadStream<T>`

    - #### pipe

          public Pipe<T> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<T>`
      Returns:
        a pipe

    - #### pipeTo

          public void pipeTo(WriteStream<T> dst,
                             Handler<AsyncResult<Void>> handler)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<T>`
      Parameters:
        `dst` - the destination write stream
        `handler` -

    - #### pipeTo

          public void pipeTo(WriteStream<T> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<T>`
      Parameters:
        `dst` - the destination write stream

    - #### rxPipeTo

          public Completable rxPipeTo(WriteStream<T> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `rxPipeTo` in interface `ReadStream<T>`
      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### exceptionHandler

          public RowStream<T> exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<T>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public RowStream<T> handler(Handler<T> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public RowStream<T> pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public RowStream<T> resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public RowStream<T> endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          public RowStream<T> fetch(long l)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### close

          public void close(Handler<AsyncResult<Void>> completionHandler)

      Close the stream and release the resources.
      Parameters:
        `completionHandler` - the completion handler for this operation

    - #### close

          public void close()

      Close the stream and release the resources.

    - #### rxClose

          public Completable rxClose()

      Close the stream and release the resources.
      Returns:

    - #### newInstance

          public static <T> RowStream<T> newInstance(RowStream arg)

    - #### newInstance

          public static <T> RowStream<T> newInstance(RowStream arg,
                                                     io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2022 Eclipse. All rights reserved.